
Redmine - Feature #3805

Issue references between issues in other subproject

2009-09-02 15:39 - André H.

Status: New Start date: 2009-09-02

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documentation Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

I think it should be possible to associate issues over project limits, especially if they are subprojects of the same parentproject.

Just now you're getting an error message that tells you "« Related issue » doesn't belong to the same project".

In huge projects with several subprojects an issue of subproject A can depend on an issue of subproject B. This is a common case.

I think at least it should be allowed to create related issues between subprojects with the same parent. Perhaps this can be at least

optional for each parentproject.

Related issues:

Has duplicate Redmine - Defect #4464: Related issue doesn't belong to the sam... Closed 2009-12-21

History

#1 - 2009-09-04 13:31 - André H.

- Status changed from New to Resolved

- % Done changed from 0 to 100

Shame on me.

This feature already exists in another way. Today I stumbled over the applicable option. So this is fixed for me.

#2 - 2009-09-18 03:14 - Mischa The Evil

- Category set to Documentation

- Status changed from Resolved to 7

- Assignee set to Mischa The Evil

- % Done changed from 100 to 0

Might need documentation improvement... Check later.

#3 - 2010-03-08 22:19 - clay gerrard

Can you please explain the "applicable" option - I only see:

related to

duplicates

blocks

preceeds

follows

All of them seem to generate the same error:

"Related issue doesn't belong to the same project"

#4 - 2010-03-14 23:41 - Mischa The Evil

clay gerrard wrote:

Can you please explain the "applicable" option - I only see:

related to

duplicates

blocks

preceeds

follows

All of them seem to generate the same error:
"Related issue doesn't belong to the same project"

 The "applicable option" is a system-setting instead of a relation-type. See RedmineSettings#Allow-cross-project-issue-relations.

#5 - 2010-05-07 15:40 - Muntek Singh

- Assignee changed from Mischa The Evil to Muntek Singh

#6 - 2010-05-21 21:36 - Alex Last

I also had the same problem. Thanks to this issue report - I found the proper setting in Admin section.

But! I suggest the error message to be changed from

Related issue doesn't belong to the same project

 to

Related issue doesn't belong to the same project. Cross-project links are disabled in the system settings. Please, contact your redmine

administrator to change that.

 This would save some time to many users hitting this rock.

#7 - 2010-11-28 17:08 - Muntek Singh

- Assignee deleted (Muntek Singh)

#8 - 2013-01-13 21:04 - Jean-Philippe Lang

- Status changed from 7 to New

Assigned issue with no assignee back to New status.

#9 - 2014-12-14 19:01 - Matt Wiseley

- File issue-3805.patch added

This is actually two issues:

1. Relating issues across projects when that feature is disabled

2. Setting a parent ID to a cross-project issue when that feature is disabled

Attached patch file clarifies error messages for both of these conditions.

#10 - 2020-10-15 08:38 - Markus Boremski

Might be closed. Or not?

Files

issue-3805.patch 68.6 KB 2014-12-14 Matt Wiseley
